% This script exports the mat files in the results folder to text files so
% that those without access to MATLAB can access the data.

matfiles = dir('results/*.mat')

for i = 1:length(matfiles)
    fid = fopen(['results/ascii/', matfiles(i).name(1:end-4), '.txt'], ...
        'w');
    load(['results/', matfiles(i).name])
    fprintf(fid, 'Dispersed phase: %s\n', exp.dp);
    fprintf(fid, 'Continuous phase: %s\n', exp.cp);
    fprintf(fid, 'Outlet tubing ID (microns): %i\n', exp.bp_id);
    fprintf(fid, 'Outlet tubing length (cm): %.1f\n', exp.bp_length);
    fprintf(fid, 'Elapsed stabilisation time (min): %.3f\n', ...
        exp.time_stab_elapsed);
    fprintf(fid, 'Elapsed collection time (min): %.3f\n', ...
        exp.time_collect_elapsed);
    fprintf(fid, ['Total volumetric injection rate (microlitre/min): ', ...
        array2csvstring(exp.tfr, '%i'), '\n']);
    fprintf(fid, ['Initial mass (g): ', ...
        array2csvstring(exp.mass_initial, '%.2f'), '\n']);
    fprintf(fid, ['Final mass (g): ', ...
        array2csvstring(exp.mass_final, '%.2f'), '\n']);
    clearvars exp
    fclose(fid);
end